Package org.gradle.api.tasks

## Interface CompatibilityAdapterForTaskInputs

- All Known Subinterfaces:
    `TaskInputPropertyBuilder`, `TaskInputs`

      @Deprecated
      public interface CompatibilityAdapterForTaskInputs

  Deprecated.
  The interface is only here to allow plugins built against Gradle <4.3 to run and it will be removed in Gradle 6.0.
  Helper interface for binary compatibility with Gradle <4.3 version of the `TaskInputs` interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TaskInputs` | `property​(String name, Object value)` | Deprecated. Registers an input property for this task.

- - ### Method Detail

    - #### property

          TaskInputs property​(String name,
                              @Nullable
                              Object value)

      Deprecated.

      Registers an input property for this task. This value is persisted when the task executes, and is compared against the property value for later invocations of the task, to determine if the task is up-to-date.

      The given value for the property must be Serializable, so that it can be persisted. It should also provide a useful `equals()` method.

      You can specify a closure or `Callable` as the value of the property. In which case, the closure or `Callable` is executed to determine the actual property value.

      Parameters:
        `name` - The name of the property. Must not be null.
        `value` - The value for the property. Can be null.